# Class: Elastic

## Phaser.Easing. Elastic

#### new Elastic()

  Elastic easing.

  Source:
    - tween/Easing.js, line 382

### Methods

#### In(k) → {number}

  Elastic ease-in.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 389

  ##### Returns:

  The tweened value.

  Type
    number

#### InOut(k) → {number}

  Elastic ease-in/out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 425

  ##### Returns:

  The tweened value.

  Type
    number

#### Out(k) → {number}

  Elastic ease-out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 407

  ##### Returns:

  The tweened value.

  Type
    number